/**
 * global.css
 *
 * Tecu AmBanking Release: Version Beta 0.0.0.1
 *
 * Contents
 *
 * Settings
 * Global...............Globally-available variables and config.
 *
 * Generic
 * Box-sizing...........Better default `box-sizing`.
 *
 * Base
 * h1–h6.............Headings styles.
 *
 * Components
 * banner_header............The Banner page header.
 * header............The main page header.
 * footer............The main page footer.
 * button..............Button elements.
 * section.............The each block in body.
 * p.............The Description block in body.
 * img............The Image Tag in body
 * 
 *
 * Copyright Tecu AmBanking 2021
 */


:root {
    --color-white: #FFFFFF;
    --color-black-light: rgba(0, 0, 0, 0.3);
    --color-black-dark: rgba(0, 0, 0, 1);
    /*--colorPrimary: #E57A1B;*/
    /*--colorPrimary: #F2702B;*/
    --colorPrimary: #E57A1B;
    /*--colorSecondary: #143271;*/
    --colorSecondary: #063273;
    --color-black-verylight: rgba(0, 0, 0, 0.2);
    --color-bg-light: rgba(210, 211, 222, 0.1);
    --scrollbarBG: #CFD8DC;
    --thumbBG: #3e50b2;
}


/*@media (-webkit-device-pixel-ratio: 1.50) {
    * {
        zoom: 98.5%;
    }
}

@media (-webkit-device-pixel-ratio: 1.25) {
    * {
        zoom: 99%;
    }
}

@media (-webkit-device-pixel-ratio: 1.10) {
    * {
        zoom: 99.5%;
    }
}*/


/* Chrome browser auto fill background-color remove */

input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    filter: grayscale(100%) brightness(110%);
}


/* For EDGE AND IE browsers password fields eye icon hide */

input::-ms-reveal,
input::-ms-clear {
    display: none;
}


/* Firefox browser auto fill background-color remove */

input {
    filter: none;
}

.im-primary {
    color: var(--colorPrimary) !important;
}

.im-secondary {
    color: var(--colorSecondary) !important;
}

.im-bg-primary {
    background-color: var(--colorPrimary) !important;
    color: white !important;
}

.im-bg-secondary {
    background-color: var(--colorSecondary) !important;
    color: white !important;
}

/**
 * Html-Global-level smoothness & Box-sizing.
 */

html {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

*,
*:before,
*:after {
    -webkit-box-sizing: inherit;
    -moz-box-sizing: inherit;
    box-sizing: inherit;
}


/**
 * Body-level font family and margin.
 */

body {
    margin: 0;
    /* Typography */
    /*font-family: Arial, Helvetica, sans-serif;*/
    /*font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";*/
    font-family: 'Roboto', sans-serif !important;
    line-height: 1.5;
    font-size: 14px;
    color: #333;
}

#bodyBackgroundImage {
    background: url(../../impacto-content/images/tecu/bg_normalpage.png);
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    height: 100vh;
}


/**
 * Basic-tags-level display by default show.
 */

article,
aside,
details,
figcaption,
figure,
footer,
header,
main,
menu,
nav,
section {
    display: block;
}


/**
 * Paragraph-level font-weight and color.
 */

p,
.para {
    color: #000;
    font-weight: 300;
    font-size: 14px;
}

a {
    outline: none;
}


/**
 * Headings-level font-weight.
 */

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: bold;
}


/**
 * Image-level alignment.
 */

img {
    vertical-align: middle;
}


/**
 * Section-level padding.
 */

section {
    padding-top: 24px;
    padding-bottom: 20px;
}


/**
 * Header-Bar-level height.
 */

header {
    height: 87px;
}

.header_bg_color {
    background-color: rgba(0, 0, 0, 0.26);
}


/**
 * Banner-Header-level font size and background colors.
 */

.banner_header {
    font-size: 60px;
    font-weight: bold;
}


/**
 * Header-level font size and background colors.
 */

.header {
    font-size: 25px;
    color: var(--Theme_B_Dark);
    font-weight: bold;
}


/**
 * SubHeader-level font size.
 */

.sub_header {
    font-size: 20px;
    color: var(--Theme_B_Dark);
    font-weight: bold;
}


/**
* Footer Block Start
*/

footer {
    background-color: #222;
    color: #fff;
}

.footer_company_logo {
    height: 60px;
}


/**
* footer css end
*/


/*Banner Sub Text*/

.banner_subheader {
    font-size: 30px;
    font-weight: bold;
}


/*  Primary Button */

.md-button {
    line-height: 36px;
    font-weight: bold;
}

.btn-theme:link,
.btn-theme:visited {
    margin-left: -15px;
    font-size: 20px;
    border-radius: 5px;
    text-decoration: none;
    color: var(--color-white);
    background-color: var(--color-our-theme);
    padding: .5rem 2rem .5rem 2rem;
    letter-spacing: 1px;
    display: inline-block;
    backface-visibility: hidden;
    white-space: nowrap;
    font-weight: bold;
    border: 1px solid var(--color-our-theme);
}

.btn-theme,
.btn-theme:focus {
    color: #ffffff;
    background-color: var(--color-our-theme);
    border-color: var(--color-our-theme);
}

.btn-theme:hover,
.btn-theme:active {
    color: #ffffff;
    background-color: var(--color-our-theme);
    border-color: var(--color-our-theme);
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15) !important;
}

.btn-theme.btn-animate::before {
    background: #151515;
}

label {
    display: inline-block;
    margin-bottom: 0px;
}

/* Toast Starts */
.opacity0 {
    opacity: 0;
    display: none;
}

/*md-toast {
    margin-left: 0.5%;
    margin-right: 0.5%;
    right: 0;
    width: auto;
    max-width: 100%;
    min-width: 0;
    border-radius: 0;
    padding: 0;
    position: absolute;
    top: 13%;
    height: 100%;
    z-index: 1034;
}

md-toast.md-top {
    top: 13% !important;
}*/

/*md-toast.md-default-theme .md-toast-content,
md-toast .md-toast-content {
    background-color: var(--color-our-theme2) !important;
    color: rgb(250, 250, 250);
}*/

md-toast.md-default-theme .md-toast-content .md-button.md-highlight,
md-toast .md-toast-content .md-button.md-highlight {
    color: white;
    background: var(--color-black-light);
    font-size: 10px;
    min-height: 25px;
}

/* Toast Ends */


[ng\:cloak],
[ng-cloak],
.ng-cloak {
    display: none;
}

@media only screen and (max-width: 1024px) {
    .banner_header {
        font-size: 52px;
    }

    .header {
        font-size: 24px;
    }

    .banner_subheader {
        font-size: 28px;
    }

    .sub_header {
        font-size: 18px;
    }

    .btn-theme:link,
    .btn-theme:visited {
        font-size: 18px;
    }

    #pp_lastsection .pp_card {
        width: 280px;
        height: 354px;
    }

    #pp_why_paisapaisa .pp_card {
        width: 280px;
        min-height: 329px;
    }
}

@media only screen and (max-width: 768px) {
    section {
        padding: 18px;
    }

    .banner_header {
        font-size: 36px;
    }

    .header {
        font-size: 22px;
    }

    .banner_subheader {
        font-size: 25px;
    }

    .btn-theme:link,
    .btn-theme:visited {
        font-size: 17px;
    }
}

@media only screen and (max-width: 480px) {
    section {
        padding: 12px;
    }

    .banner_header {
        font-size: 30px;
    }

    .banner_subheader {
        font-size: 20px;
    }

    #pp_banner_block {
        padding-top: 150px;
    }

    .header {
        font-size: 20px;
        padding-bottom: 10px;
    }

    .btn-theme:link,
    .btn-theme:visited {
        font-size: 12px;
    }

    .test {
        -webkit-box-shadow: 3px 3px 5px 6px #ccc;
        /* Safari 3-4, iOS 4.0.2 - 4.2, Android 2.3+ */
        -moz-box-shadow: 3px 3px 5px 6px #ccc;
        /* Firefox 3.5 - 3.6 */
        box-shadow: 3px 3px 12px 6px #ccc;
        /* Opera 10.5, IE 9, Firefox 4+, Chrome 6+, iOS 5 */
        width: 540px;
        height: auto;
        padding: 16px
    }

    .instruct {
        font-style: italic;
        font-size: 12px;
    }

    .fontRed {
        color: red;
        font-weight: bold
    }
}